<div id="seller-orders">
  <div class="d-flex align-center justify-space-between">
    <p class="mb-0 text-lg font-semibold text-neutral-900">Orders Management</p>
    <v-btn
      class="text-capitalize !text-white"
      color="#3B82F6"
      depressed
      @click="exportData = true"
    >
      <v-icon left>mdi-file-export</v-icon>
      Export Data
    </v-btn>
  </div>
  <div class="rounded-lg border border-gray-border-common my-6 p-6 bg-white">
    <div
      class="flex justify-between items-center flex-wrap md:flex-nowrap lg:flex-nowrap gap-6"
    >
      <div class="flex gap-6 flex-wrap lg:flex-row flex-col">
        <div class="d-flex flex-wrap align-center">
          <v-select
            dense
            outlined
            class="sm:rounded-lg md:!rounded-l-lg md:!rounded-r-none w-44 check-mb-select"
            append-icon="mdi-chevron-down"
            :menu-props="{ bottom: true, offsetY: true }"
            placeholder="Order Status"
            hide-details
            :items="listStatus"
            item-text="name"
            item-value="value"
            v-model="status"
          >
            <template v-slot:item="status">
              <template>
                <v-list-item-content>
                  <div class="d-flex">
                    <div
                      v-if="status.item.value === ''"
                      class="py-1 px-2 rounded-lg capitalize bg-blue-100"
                    >
                      <span class="contentBrand"> All </span>
                    </div>
                    <div
                      v-if="status.item.value === 'processing'"
                      class="py-1 px-2 rounded-lg capitalize bg-blue-100"
                    >
                      <span class="contentBrand"> Processing </span>
                    </div>
                    <div
                      v-if="status.item.value === 'canceled'"
                      style="background-color: #e1effe"
                      class="py-1 px-2 rounded-lg capitalize"
                    >
                      <span style="color: #ff5252"> Canceled </span>
                    </div>
                    <div
                      v-if="status.item.value === 'done'"
                      style="background-color: #e1effe"
                      class="py-1 px-2 rounded-lg capitalize"
                    >
                      <span style="color: #4caf50"> Done </span>
                    </div>
                    <div
                      v-if="status.item.value === 'fulfilled'"
                      style="background-color: #e1effe"
                      class="py-1 px-2 rounded-lg capitalize"
                    >
                      <span style="color: #4caf50"> Fulfilled </span>
                    </div>
                  </div>
                </v-list-item-content>
              </template>
            </template>
          </v-select>
          <v-text-field
            prepend-inner-icon="mdi-magnify"
            v-model="config.orderCode"
            class="sm:rounded md:!rounded-r-lg md:!rounded-l-none w-60 sm:mt-0"
            placeholder="Search by Order ID"
            outlined
            dense
            hide-details
            @keyup.enter="onGetListOrder()"
            v-debounce:1000ms="onGetListOrder"
          >
          </v-text-field>
        </div>
        <div class="d-sm-flex text-right gap-6 flex-wrap flex-1 justify-end">
          <div class="d-flex gap-6 flex-wrap flex-1 justify-start">
            <v-text-field
              class="rounded-lg"
              style="max-width: 425px; width: 100%"
              placeholder="Filter by customer"
              outlined
              dense
              hide-details
              v-model="config.email"
              @keyup.enter="onGetListOrder()"
              v-debounce:1000ms="onGetListOrder"
            >
            </v-text-field>
            <!-- <v-text-field class="rounded-lg w-60" placeholder="Domain" outlined dense hide-details
              v-model="config.domain" @keyup.enter="onGetListOrder()"></v-text-field> -->
          </div>
          <v-btn
            text
            @click="panelFilter = !panelFilter"
            color="black"
            class="rounded-lg my-3 my-sm-0"
          >
            <p class="mb-0 text-sm text-gray-900 capitalize">Expand Filter</p>
            <v-icon left class="ml-2" color="#171717"
              >mdi-filter-variant</v-icon
            >
          </v-btn>
        </div>
      </div>
    </div>
    <v-expand-transition>
      <v-card
        v-show="panelFilter"
        height="auto"
        class="mx-auto w-full"
        elevation="0"
      >
        <div class="d-flex flex-wrap gap-6 justify-end mt-sm-3">
          <div class="d-flex flex-1 gap-6 flex-wrap">
            <div class="d-flex flex-wrap items-center gap-3">
              <v-menu
                v-model="dateStartPicker"
                :close-on-content-click="false"
                transition="scale-transition"
                offset-y
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateStart"
                    append-icon="mdi-calendar"
                    readonly
                    v-bind="attrs"
                    v-on="on"
                    outlined
                    dense
                    hide-details
                    class="rounded-lg w-56"
                    label="Date From"
                  ></v-text-field>
                </template>
                <v-date-picker
                  v-model="dateStart"
                  @input="dateStartPicker = false"
                >
                </v-date-picker>
              </v-menu>
              <v-menu
                v-model="dateEndPicker"
                :close-on-content-click="false"
                transition="scale-transition"
                offset-y
                min-width="auto"
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-text-field
                    v-model="dateEnd"
                    append-icon="mdi-calendar"
                    readonly
                    v-bind="attrs"
                    v-on="on"
                    outlined
                    dense
                    hide-details
                    class="rounded-lg w-56"
                    label="Date To"
                  ></v-text-field>
                </template>
                <v-date-picker v-model="dateEnd" @input="dateEndPicker = false">
                </v-date-picker>
              </v-menu>
            </div>
            <div class="d-flex items-center flex-wrap gap-3">
              <v-text-field
                class="rounded-lg w-30"
                label="Lowest Amount"
                outlined
                dense
                hide-details
                type="number"
                v-model="config.priceFrom"
              >
              </v-text-field>
              <v-text-field
                class="rounded-lg w-30"
                label="Highest Amount"
                outlined
                dense
                hide-details
                type="number"
                v-model="config.priceTo"
              >
              </v-text-field>
            </div>
          </div>
          <div class="d-flex gap-4">
            <v-btn
              class="text-capitalize !text-blue-common"
              outlined
              @click="resetField()"
            >
              Reset
            </v-btn>
            <v-btn
              class="text-capitalize !text-white"
              color="#3B82F6"
              depressed
              @click="onGetListOrder()"
            >
              Apply Filter
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-expand-transition>
  </div>
  <div class="bg-white rounded-xl pb-4">
    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      height="200px"
      type="card"
      v-if="loadingTable"
    >
    </v-skeleton-loader>
    <v-simple-table
      v-else
      class="scrollTable c-pointer rounded-lg"
      fixed-header
    >
      <template v-slot:default>
        <thead>
          <tr class="!bg-gray !rounded-t-xl bg-gray-200">
            <th class="text-left !text-[#6E7C87] !bg-gray-200">
              <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
            </th>
            <th class="text-left !text-[#6E7C87] !bg-gray-200">Order ID</th>
            <th class="text-left !text-[#6E7C87] !bg-gray-200">Status</th>
            <th class="text-left !text-[#6E7C87] !bg-gray-200">Customer</th>
            <th class="text-left !text-[#6E7C87] !bg-gray-200">Amount</th>
            <th class="text-left !text-[#6E7C87] !bg-gray-200">Paid Time</th>
            <!-- <th class="text-left !text-[#6E7C87] !bg-gray-200">Domain</th> -->
            <!-- <th class="text-left !text-[#6E7C87] !bg-gray-200">UTM</th> -->
          </tr>
        </thead>
        <tbody>
          <tr v-for="(order,i) in listOrder" :key="i">
            <td class="py-3">
              <v-checkbox
                v-model="listOrderId"
                :value="order._id"
                class="pl-3"
              ></v-checkbox>
            </td>
            <td class="py-3" @click="openDialogDetail(order)">
              <p class="mb-0 fsize-14 text-gray-content-common !font-semibold">
                {{order.orderCode}}
              </p>
            </td>
            <td class="py-3" @click="openDialogDetail(order)">
              <div class="d-flex">
                <div
                  v-if="order.orderStatus === 'processing'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg capitalize"
                >
                  <span class="contentBrand"> Processing </span>
                </div>
                <div
                  v-if="order.orderStatus === 'pending'"
                  style="background: rgba(255, 193, 48, 0.08)"
                  class="py-1 px-2 rounded-lg capitalize"
                >
                  <span style="color: #fb8c00"> Pending </span>
                </div>
                <div
                  v-if="order.orderStatus === 'canceled'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg capitalize"
                >
                  <span style="color: #ff5252"> Canceled </span>
                </div>
                <div
                  v-if="order.orderStatus === 'fulfilled'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg capitalize"
                >
                  <span style="color: #4caf50"> Fulfilled </span>
                </div>
              </div>
            </td>
            <td class="py-3" @click="openDialogDetail(order)">
              <p class="mb-0 fsize-14 text-gray-content-common">
                {{order.shippingAddress.email}}
              </p>
            </td>
            <td class="py-3" @click="openDialogDetail(order)">
              <p class="mb-0 fsize-14 text-gray-content-common !font-semibold">
                ${{order.total && $utils.formatCurrencyFloat(order.total)}}
              </p>
            </td>
            <td class="py-3" @click="openDialogDetail(order)">
              <p class="mb-0 fsize-14 text-gray-content-common">
                {{order.createdAt && $utils.formatDate(order.createdAt)}}
              </p>
            </td>
            <!-- <td class="py-3" @click="openDialogDetail(order)">
              <p class="mb-0 fsize-14 text-gray-content-common">
                {{order.storeId && $utils.parseDomain(order.storeId.domain)}}
              </p>
            </td> -->
            <!-- <td class="py-3">
                <p class="mb-0 fsize-14 text-gray-content-common">
                  {{order.createdAt && $utils.formatDateCreatedAt(order.createdAt) }}
                </p>
              </td> -->
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div
      class="d-flex justify-center ma-4"
      v-if="listOrder.length == 0 && !loadingTable"
    >
      <div>
        <div class="d-flex align-center justify-center">
          <img
            src="~/assets/images/payment/no-payment.png"
            alt=""
            width="136"
            height="136"
          />
        </div>
        <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
          Your orders will show here
        </p>
      </div>
    </div>
    <div
      class="text-center mt-4 mx-3 pb-2 d-sm-flex align-center justify-sm-space-between"
    >
      <div id="hideBottomInput" class="d-flex align-center justify-center">
        <p class="mb-0 mr-2">Rows per page:</p>
        <v-select
          :items="limitItems"
          dense
          solo
          v-model="config.limit"
          item-value="item"
          class="px-0"
          @change="onGetListOrder()"
          style="max-width: 80px; width: 100%"
        >
        </v-select>
      </div>
      <div class="d-sm-flex items-center">
        <v-pagination
          v-model="config.page"
          :length="totalPage"
          :total-visible="5"
          class="pagination"
        >
        </v-pagination>
        <div
          id="hideBottomInput"
          class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0"
        >
          <v-text-field
            dense
            outlined
            v-model.number="page"
            placeholder="Go to page"
          >
          </v-text-field>
          <div class="button-inside-input">
            <v-btn
              height="36px"
              color="#076CE3"
              class="px-0 button-inside-input__button elevation-0"
              @click="onRedirectPage()"
            >
              <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
            </v-btn>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div>
    <v-row justify="center">
      <v-dialog v-model="exportData" max-width="380" class="">
        <v-card class="">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">
              Export selected Datas
            </p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="exportData = false"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="text-center">
            <div class="d-flex justify-center items-center pt-8">
              <img
                src="~/assets/images/export-selected-datas.png"
                alt=""
                srcset=""
              />
            </div>
            <p class="text-center">
              All your data will be exported to .XLS file type
            </p>
          </div>
          <v-divider></v-divider>
          <div class="py-4 px-6 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded mr-3"
              color="#D1DBE0"
              outlined
              @click="exportData = false"
            >
              <span class="!font-semibold text-none black--text"> Cancel </span>
            </v-btn>
            <v-btn
              depressed
              color="blue"
              class="!font-semibold !capitalize !text-white"
              @click="onExportFile()"
            >
              Export
            </v-btn>
            <download-excel
              :data="json_data"
              :fields="json_fields"
              name="export-order.xls"
              :before-generate="fetchData"
              class="d-none"
              ref="export"
            >
            </download-excel>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</div>
